scim::DefaultMarshal< R > Class Template Reference
SignalSlot

`#include <scim_signals.h>`

## Public Types

typedef R | OutType
typedef R | InType

## Public Member Functions

| DefaultMarshal ()
OutType & | value ()
bool | marshal (const InType &newval)

## Member Typedef Documentation

## OutType

template<typename R>

typedef R scim::DefaultMarshal< R >::OutType

## InType

template<typename R>

typedef R scim::DefaultMarshal< R >::InType

## Constructor & Destructor Documentation

## DefaultMarshal()

template<typename R>

scim::DefaultMarshal< R >::DefaultMarshal | ( |  | ) |

inline

## Member Function Documentation

## value()

template<typename R>

OutType & scim::DefaultMarshal< R >::value | ( |  | ) |

inline

## marshal()

template<typename R>

bool scim::DefaultMarshal< R >::marshal | ( | const InType & | newval | ) |

inline

The documentation for this class was generated from the following file:

- scim_signals.h